Qyra
Referencev2

Get project parameters

Get project parameters by names

GET/api/v2/projects/{projectUuid}/parameters

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
namesarray[string]No

Responses

200 — Success

{
  "results": {
    "property": {
      "options_from_dimension": {
        "dimension": "string",
        "model": "string"
      },
      "options": [
        "string"
      ],
      "allow_custom_values": true,
      "multiple": true,
      "default": "string",
      "type": "string",
      "description": "string",
      "label": "string"
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}